Package com.google.android.exoplayer2.source.hls

## Class DefaultHlsDataSourceFactory

- java.lang.Object
- - com.google.android.exoplayer2.source.hls.DefaultHlsDataSourceFactory

- All Implemented Interfaces:
    `HlsDataSourceFactory`

      public final class DefaultHlsDataSourceFactory
      extends Object
      implements HlsDataSourceFactory

  Default implementation of `HlsDataSourceFactory`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultHlsDataSourceFactory​(DataSource.Factory dataSourceFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSource` | `createDataSource​(int dataType)` | Creates a `DataSource` for the given data type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHlsDataSourceFactory

          public DefaultHlsDataSourceFactory​(DataSource.Factory dataSourceFactory)

      Parameters:
        `dataSourceFactory` - The `DataSource.Factory` to use for all data types.

  - ### Method Detail

    - #### createDataSource

          public DataSource createDataSource​(int dataType)

      Description copied from interface: `HlsDataSourceFactory`
      Creates a `DataSource` for the given data type.
      Specified by:
        `createDataSource` in interface `HlsDataSourceFactory`
      Parameters:
        `dataType` - The data type for which the `DataSource` will be used. One of `C` `.DATA_TYPE_*` constants.
      Returns:
        A `DataSource` for the given data type.